Package: org.codehaus.groovy.tools.shell.commands

## [Groovy] Class ShadowCommand

- org.codehaus.groovy.tools.shell.commands.ShadowCommand

- The 'shadow' command.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMMAND_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexCommandSupport` | `defaultFunction, functions`
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `do_debug`
    `def` | `do_info`
    `def` | `do_this`
    `def` | `do_verbose`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ShadowCommand (Groovysh shell)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ComplexCommandSupport` | `createCompleters, execute, executeFunction, loadFunction`
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### public static final String COMMAND_NAME

  - ### Property Detail

    - #### def do_debug

    - #### def do_info

    - #### def do_this

    - #### def do_verbose

  - ### Constructor Detail

    - #### ShadowCommand(Groovysh shell)